# SPDX-License-Identifier: MIT
Version:   1.001
Release:   7%{?dist}

%global foundry           SIL
%global fontlicense       OFL
%global fontlicenses      OFL.txt
%global fontdocs          *.txt documentation/*.txt documentation/*.odt
%global fontdocsex        %{fontlicenses}

%global fontfamily        Harmattan
%global fontsummary       Harmattan, a Warsh-style Arabic script font family
%global projectname       %{lua:t=string.gsub(rpm.expand("%{fontfamily}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archivename       %{lua:t=string.gsub(rpm.expand("%{fontfamily}"), "[%p%s]+", ""); print(t)}-%{version}
URL:                      https://software.sil.org/%{projectname}/
%global fontheader        %{expand:
# We blacklist the Andika subset in Harmattan, to use the latest full version
Requires: font(andikanewbasic)
}
%global fonts             *.ttf
%global fontconfngs       %{SOURCE1}
%global fontdescription   %{expand:
Harmattan, named after the trade winds that blow during the dry season in West
Africa, is designed in a Warsh style to suit the needs of languages using the
Arabic script in West Africa.

Because the font style is specifically intended for West Africa, the character
set for this font is aimed at West African languages. Thus, Asia-specific
glyphs are not included.}

%fontpkg

%sourcelist
https://software.sil.org/downloads/r/%{projectname}/%{archivename}.zip
65-%{fontname}.xml

%prep
%setup -q -n %{archivename}
%linuxtext *.txt documentation/*.txt

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-7
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-6
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-5
🐞 Workaround Fedora problems created by rpm commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-4
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-3
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.001-1
✅ Initial packaging
